com.google.gwt.xml.client

## Class XMLParser

- java.lang.Object
- - com.google.gwt.xml.client.XMLParser

-     public class XMLParser
      extends java.lang.Object

  This class represents the client interface to XML parsing.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Document` | `createDocument()` This method creates a new document, to be manipulated by the DOM API.
    `static Document` | `parse(java.lang.String contents)` This method parses a new document from the supplied string, throwing a `DOMParseException` if the parse fails.
    `static void` | `removeWhitespace(Node n)` This method removes all `Text` nodes which are made up of only white space.
    `static boolean` | `supportsCDATASection()` Deprecated. Always returns true

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDocument

          public static Document createDocument()

      This method creates a new document, to be manipulated by the DOM API.
      Returns:
        the newly created document

    - #### parse

          public static Document parse(java.lang.String contents)

      This method parses a new document from the supplied string, throwing a `DOMParseException` if the parse fails.
      Parameters:
        `contents` - the String to be parsed into a `Document`
      Returns:
        the newly created `Document`

    - #### removeWhitespace

          public static void removeWhitespace(Node n)

      This method removes all `Text` nodes which are made up of only white space.
      Parameters:
        `n` - the node which is to have all of its whitespace descendents removed.

    - #### supportsCDATASection

          @Deprecated
          public static boolean supportsCDATASection()

      Deprecated. Always returns true
      This method determines whether the browser supports `CDATASection` as distinct entities from `Text` nodes.
      Returns:
        true if the browser supports `CDATASection`, otherwise `false`.